Name: ca_TERENA-SSL-CA-3
Version: 1.0
Release: 2%{?dist}
License: IGTF Federation
URL: https://www.digicert.com/
Group: Security/Certificates
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: ca-certificates
Source: %{name}-%{version}.tar.gz

Summary: Trust anchors for classic accredited authority TERENA SSL CA 3

%prep
%setup -c
rm -rf %{buildroot}
mkdir -p %{buildroot}

%description
This is the trust anchor for the classic accredited authority TERENA SSL CA 3.
You should install this package if you want to trust the identity 
assertions issued by the TERENA SSL CA 3.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
mkdir -p %{buildroot}/etc/grid-security/certificates
mkdir -p %{buildroot}/etc/pki/ca-trust/source/anchors

cp %{_builddir}/%{name}-%{version}/* %{buildroot}/etc/grid-security/certificates/
ln -sf /etc/grid-security/certificates/TERENA-SSL-CA-3.pem %{buildroot}/etc/grid-security/certificates/c493a2ab.0
ln -sf /etc/grid-security/certificates/TERENA-SSL-CA-3.pem %{buildroot}/etc/grid-security/certificates/d919ffd0.0
ln -sf /etc/grid-security/certificates/TERENA-SSL-CA-3.pem %{buildroot}/etc/pki/ca-trust/source/anchors/TERENA-SSL-CA-3.pem


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/grid-security/certificates/*.0
/etc/grid-security/certificates/*.pem
/etc/grid-security/certificates/*.crl_url
/etc/pki/ca-trust/source/anchors/TERENA-SSL-CA-3.pem

%post
set -e
/usr/bin/update-ca-trust extract

%changelog
* Thu Feb 18 2020 CREAM group <paolo.andreetto@pd.infn.it> - 1.0-2
- Repackage for CentOS 8

* Thu Jan 25 2018 CREAM group <cream-support@lists.infn.it> - 1.0-1
- Initial release

